Subject: Re: [PATCH 09/10] tree: stop using the_repository

From: René Scharfe <[email-masked]>
Date: Mon, 12 Jan 2026 20:37:03 +0100

On 1/12/26 4:28 PM, Patrick Steinhardt wrote:
> On Mon, Jan 12, 2026 at 07:20:32AM -0800, Junio C Hamano wrote:
>> Patrick Steinhardt <[email-masked]> writes:
>>
>>>>> In any case, I'd propose to move the compatibility macros into a section
>>>>> that says something like:
>>>>>
>>>>>     /* Deprecated wrappers that will be removed once Git 2.53 is released. */
>>>>
>>>> Please do not take release schedule hostage to one particular fix-up
>>>> series of patches.  Thanks.
>>>
>>> The intent isn't really to take anything hostage. It's rather intended
>>> as a hint that once a specific event has happened, we should take
>>> another look at removing these wrappers.
>>
>> I am OK with a comment that records the intent, e.g., "let's work
>> towards reducing the use of these wrappers", with the plan for the
>> next step, e.g., "and once we have done so, remove these."
>>
>> But the comment you wrote is forcing people to make sure we remove
>> the code that uses these wrappers and unless we finish it we cannot
>> release 2.53, no?
> 
> That's definitely not my intent. It's really only intended as a hint
> when those should be removed at the earliest. Maybe something like the
> following instead?
> 
>     /*
>      * These wrappers can be removed once Git 2.53 is released. If you
>      * see this comment and that release has been published then chances
>      * are high that we forgot to remove them.
>      */

Forgetting to remove the three macro definitions is very cheap.
Forgetting to remove their Coccinelle rules is a bit more expensive.
Can add a reminder.

René